Bug 184573 - forces client to authenticate in a loop - update to 5.0rc7
forces client to authenticate in a loop - update to 5.0rc7
Product: Fedora
Classification: Fedora
Component: mod_auth_kerb (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2006-03-09 17:07 EST by Rudi Chiarito
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-29 13:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rudi Chiarito 2006-03-09 17:07:42 EST
Description of problem:
Version 5.0RC7 was released the other week. It is supposed to solve the
following problem (from the 1.109 changelog):

Only reply with the Negotiate set if the gss_accept_sec_context returned data
for the client. Otherwise the client received an Negotiate header and tried to
authenticate using GSSAPI again and again, which is annoying when the user in
question pass the authentication but isn't authorized.
Comment 1 Joe Orton 2006-03-10 05:10:27 EST
rc7 can go in as an FC5 update, it's too late for FC5 final now; but clients
should really cope with that correctly - what did you see this with, Firefox?
Comment 2 Rudi Chiarito 2006-03-11 00:28:34 EST
FC5 has been postponed to the 20th, any chances this could still make it?

We saw this with Firefox. One of our users had restricted access to a directory.
Rebuilding manually the rpm with the rc7 sources made the problem go away for us. 
Comment 3 Rudi Chiarito 2006-09-19 08:16:54 EDT
In the meantime, 5.0 final and 5.1 have been released upstream. Can either of
the two releases make it for FC6?
Comment 4 Rudi Chiarito 2006-11-29 13:18:17 EST
Now fixed in FC6. Thanks!

Note You need to log in before you can comment on or make changes to this bug.